<wo:Wrapper>
    <wo:CktlBreadcrumb>
        <wo:CktlBreadcrumbElement action = "$retourAccueil" text = "Accueil"/>
        <wo:CktlBreadcrumbElement text = "Financeurs et Programmes"/> 
    </wo:CktlBreadcrumb>

    <wo:AjaxUpdateContainer id="$financeursTableViewContainerId">
	    <webobject name="FinanceursTableView">
	        <wo:CktlAjaxSimpleTableViewHeader>
	            <wo:CktlAjaxSimpleTableViewColumn label="Nom"/>
	        </wo:CktlAjaxSimpleTableViewHeader>
	        <wo:CktlAjaxSimpleTableViewBody>
	            <td><wo:string value="$currentFinanceur.llStructure"/></td>
	        </wo:CktlAjaxSimpleTableViewBody>
	        <wo:CktlAjaxSimpleTableViewToolbar>
	            <webobject name="AjouterFinanceur"/>
	            <webobject name="SupprimerFinanceur"/>
	        </wo:CktlAjaxSimpleTableViewToolbar>
	    </webobject>
	</wo:AjaxUpdateContainer>
    <webobject name="AjoutFinanceurWindow">
        <webobject name="AjoutFinanceurWindowForm">
            <webobject name="FinanceurSrch"/>
            <webobject name="ValiderAjoutFinanceur"/>
            <webobject name="AnnulerAjoutFinanceur"/>
        </webobject>
    </webobject>
    
    <wo:AjaxUpdateContainer id="$programmesContainerId">
	    <fieldset>
	        <legend><wo:string value="$selectedFinanceur.llStructure"/></legend>
	           <wo:if condition="$selectedFinanceurAAuMoinsUnProgrammeSurUneAnnee">
	                <wo:form>
		                <wo:AjaxObserveField updateContainerID="$programmesContainerId" style="padding: 10px 0;" elementName="span">
	                        <b>ANNÉE</b> <webobject name="ListeDesAnnees"/>
	                    </wo:AjaxObserveField>
	                    <webobject name="AjouterUneAnnee"/> <!--  webobject name="ReporterDesProgrammes"/-->
	                </wo:form>
	                <br/><br/>
	                <b>PROGRAMMES</b> 
                    <webobject name="ProgrammesTableView">
			            <wo:CktlAjaxSimpleTableViewHeader>
			                <wo:CktlAjaxSimpleTableViewColumn label="Code"/>
			                <wo:CktlAjaxSimpleTableViewColumn label="Libellé"/>
			            </wo:CktlAjaxSimpleTableViewHeader>
			            <wo:CktlAjaxSimpleTableViewBody>
			                <td><wo:string value="$currentProgramme.code"/></td>
			                <td><wo:string value="$currentProgramme.libelle"/></td>
			            </wo:CktlAjaxSimpleTableViewBody>
			            <wo:CktlAjaxSimpleTableViewToolbar>
			                <webobject name="AjouterProgramme"/> 
			                <webobject name="SupprimerProgramme"/>
			            </wo:CktlAjaxSimpleTableViewToolbar>
			        </webobject>
			        
			        
			        
			        <br/>
			        <wo:AjaxUpdateContainer id="$sousProgrammesContainerId">
			             <b>SOUS-PROGRAMMES</b> 
			             <webobject name="SousProgrammesTableView">
	                        <wo:CktlAjaxSimpleTableViewHeader>
	                            <wo:CktlAjaxSimpleTableViewColumn label="Code"/>
	                            <wo:CktlAjaxSimpleTableViewColumn label="Libellé"/>
	                        </wo:CktlAjaxSimpleTableViewHeader>
	                        <wo:CktlAjaxSimpleTableViewBody>
	                            <td><wo:string value="$currentSousProgramme.code"/></td>
	                            <td><wo:string value="$currentSousProgramme.libelle"/></td>
	                        </wo:CktlAjaxSimpleTableViewBody>
	                        <wo:CktlAjaxSimpleTableViewToolbar>
	                           <webobject name="AjouterSousProgramme"/>
	                           <webobject name="SupprimerSousProgramme"/>
	                        </wo:CktlAjaxSimpleTableViewToolbar>
			             </webobject>
			        
			        
			        </wo:AjaxUpdateContainer>
			        
	           </wo:if>
	           <wo:else>
	               Aucun programme <webobject name="AjouterUneAnnee"/>
	           </wo:else>
	        
	    </fieldset>
    </wo:AjaxUpdateContainer>
    
    <webobject name="AjoutProgrammeWindow">
        <wo:form>
            <fieldset>
                <table>
                    <tr>
                        <td>Code</td>
                        <td><webobject name="EditingCodeProgramme"/></td>
                    </tr>
                    <tr>
                        <td>Libellé</td>
                        <td><webobject name="EditingLibelleProgramme"/></td>
                    </tr>
               </table>
               <webobject name="ValiderAjoutProgramme"/>
            </fieldset>
        </wo:form>
    </webobject>
    
    <webobject name="SuppressionProgrammeWindow">
        <wo:AjaxUpdateContainer id="$suppressionProgrammeWindowContentContainerId">
            <wo:conditional condition="$isSuppressionProgrammeEtapeChoix">
		        <wo:form>
		            <fieldset>
		                <webobject name="ChoixSupprimerAnneeSelectionnee"/> Supprimer seulement pour l'année en cours<br/>
		                <webobject name="ChoixSupprimerToutesLesAnnees"/> Supprimer pour toutes les années<br/>
		                <webobject name="ValiderSuppressionProgramme"/>
		                <webobject name="AnnulerSuppressionProgramme"/>
		            </fieldset>
		        </wo:form>
		    </wo:conditional>
		    <wo:conditional condition="$isSuppressionProgrammeEtapeValidation">
                <wo:form>
                    <fieldset>
                        <wo:text value="$apercuDeLaSuppressionDuProgramme" cols = 60 rows = 15/><br/>
                        <webobject name="ConfirmerSuppressionProgramme"/>
                        <webobject name="RetourSuppressionProgrammeEtapeChoix"/>
                        <webobject name="AnnulerSuppressionProgramme"/>
                    </fieldset>
                </wo:form>
		    </wo:conditional>
        </wo:AjaxUpdateContainer>
    </webobject>
    
    
    <webobject name="AjoutSousProgrammeWindow">
        <wo:form>
            <fieldset>
                <table>
                    <tr>
                        <td>Code</td>
                        <td><webobject name="EditingCodeProgramme"/></td>
                    </tr>
                    <tr>
                        <td>Libellé</td>
                        <td><webobject name="EditingLibelleProgramme"/></td>
                    </tr>
               </table>
            </fieldset>
            <webobject name="ValiderAjoutSousProgramme"/>
        </wo:form>
    </webobject>
    
    <webobject name="SuppressionSousProgrammeWindow">
        <wo:AjaxUpdateContainer id="$suppressionSousProgrammeWindowContentContainerId">
            <wo:conditional condition="$isSuppressionProgrammeEtapeChoix">
                <wo:form>
                    <fieldset>
                        <webobject name="ChoixSupprimerAnneeSelectionnee"/> Supprimer seulement pour l'année en cours<br/>
                        <webobject name="ChoixSupprimerToutesLesAnnees"/> Supprimer pour toutes les années<br/>
                        <webobject name="ValiderSuppressionSousProgramme"/>
                        <webobject name="AnnulerSuppressionSousProgramme"/>
                    </fieldset>
                </wo:form>
            </wo:conditional>
            <wo:conditional condition="$isSuppressionProgrammeEtapeValidation">
                <wo:form>
                    <fieldset>
                        <wo:text value="$apercuDeLaSuppressionDuSousProgramme" cols = 60 rows = 15/><br/>
                        <webobject name="ConfirmerSuppressionSousProgramme"/>
                        <webobject name="RetourSuppressionSousProgrammeEtapeChoix"/>
                        <webobject name="AnnulerSuppressionSousProgramme"/>
                    </fieldset>
                </wo:form>
            </wo:conditional>
        </wo:AjaxUpdateContainer>
    </webobject>    
    
    
    <webobject name="AjoutAnneeWindow">
        <wo:AjaxUpdateContainer id="$ajoutAnneeWindowContentContainerId">
            <wo:conditional condition="$isAjoutAnneeEtapeSaisie">
                <wo:form>
                    <fieldset>
		                <wo:textfield value="$editingAnnee" numberformat="0000"/>
		                <webobject name="AvancerVersAjoutAnneeEtapeChoix"/>
		                <webobject name="AnnulerAjoutAnnee"/>
	                </fieldset>
	            </wo:form>
            </wo:conditional>
            <wo:conditional condition="$isAjoutAnneeEtapeChoix">
                <fieldset>
	                <webobject name="AvancerVersAjoutAnneeEtapeNouveauProgramme"/><br/>
	                <webobject name="AvancerVersAjoutAnneeEtapeReport"/><br/>
	                <webobject name="RetourVersAjoutAnneeEtapeSaisie"/><br/>
	                <webobject name="AnnulerAjoutAnnee"/>
	            </fieldset>     
            </wo:conditional>
            <wo:conditional condition="$isAjoutAnneeEtapeNoueauProgramme">
		        <wo:form>
		            <fieldset>
		                <table>
		                    <tr>
		                        <td>Code</td>
		                        <td><webobject name="EditingCodeProgramme"/></td>
		                    </tr>
		                    <tr>
		                        <td>Libellé</td>
		                        <td><webobject name="EditingLibelleProgramme"/></td>
		                    </tr>
		               </table>
		               <webobject name="ValiderAjoutProgramme"/>
                       <webobject name="AnnulerAjoutAnnee"/>
                       <webobject name="RetourVersAjoutAnneeEtapeChoix"/>
		            </fieldset>
		        </wo:form>            
            </wo:conditional>
            <wo:conditional condition="$isAjoutAnneeEtapeReport">
                <fieldset>
                    <webobject name="ProgrammeTreeView"/>
                    <webobject name="ValiderReportDesProgrammes"/>
                    <webobject name="AnnulerAjoutAnnee"/>
                    <webobject name="RetourVersAjoutAnneeEtapeChoix"/>
                </fieldset>                    
            </wo:conditional>
        </wo:AjaxUpdateContainer>
    </webobject>
    
    
    
</wo:Wrapper>